[SCM] exiv2 packaging branch, master, updated. debian/0.25-3.1-3734-gdcbc29a

Maximiliano Curia maxy at moszumanska.debian.org
Thu Jul 13 17:37:24 UTC 2017


Gitweb-URL: http://git.debian.org/?p=pkg-kde/kde-extras/exiv2.git;a=commitdiff;h=f3e98f1

The following commit has been merged in the master branch:
commit f3e98f152da80e4844bcc9430cc04908fa1a6d21
Author: Andreas Huggel <ahuggel at gmx.net>
Date:   Wed Jan 25 09:40:11 2006 +0000

    Improved filtering of irrelevant differences on MinGW
---
 test/bugfixes-test.sh |  3 +++
 test/exiv2-test.sh    | 13 ++++++++++---
 2 files changed, 13 insertions(+), 3 deletions(-)

diff --git a/test/bugfixes-test.sh b/test/bugfixes-test.sh
index e5baecf..3725f68 100755
--- a/test/bugfixes-test.sh
+++ b/test/bugfixes-test.sh
@@ -52,6 +52,9 @@ $binpath/exiv2 -pi $filename
 
 ) > $results 2>&1
 
+if [ x`which unix2dos.exe` != x ]; then
+    unix2dos.exe -q $results
+fi
 diff -q $diffargs $results $good
 rc=$?
 if [ $rc -eq 0 ] ; then
diff --git a/test/exiv2-test.sh b/test/exiv2-test.sh
index 6e3375d..d61636c 100755
--- a/test/exiv2-test.sh
+++ b/test/exiv2-test.sh
@@ -5,13 +5,20 @@ export LD_LIBRARY_PATH
 exiv2="$VALGRIND ../../src/exiv2"
 results="./tmp/exiv2-test.out"
 good="./data/exiv2-test.out"
-diffargs="--strip-trailing-cr"
 tmpfile=tmp/ttt
 touch $tmpfile
-diff -q $diffargs $tmpfile $tmpfile 2>/dev/null
+da1="--strip-trailing-cr"
+diff -q $da1 $tmpfile $tmpfile 2>/dev/null
 if [ $? -ne 0 ] ; then
-    diffargs=""
+    da1=""
 fi
+da2="--ignore-matching-lines=^Usage:.exiv2"
+diff -q $da2 $tmpfile $tmpfile 2>/dev/null
+if [ $? -ne 0 ] ; then
+    da2=""
+fi
+diffargs="$da1 $da2"
+
 (
 images="exiv2-empty.jpg \
         exiv2-canon-powershot-s40.jpg \

-- 
exiv2 packaging



More information about the pkg-kde-commits mailing list